Integrations
Get Company Integration
This endpoint serves the purpose of fetching company integration based on unique integration ID.
GET
/
company
/
integrations
/
{id}
Get Company Integration
curl --request GET \
--url https://api.roostedhr.com/api/1_12/company/integrations/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.roostedhr.com/api/1_12/company/integrations/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.roostedhr.com/api/1_12/company/integrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "QuickBooks",
"description": "Sync payroll data with QuickBooks Online",
"one_liner": "Payroll integration with QuickBooks",
"url": "https://quickbooks.intuit.com",
"icon_url": "https://example.com/icons/quickbooks.png",
"category": "payroll",
"setup_instructions": "Connect your QuickBooks account via OAuth."
}{
"code": "CMP-900",
"error": "Invalid integration configuration"
}{
"code": "ATH-100",
"error": "Invalid or missing API key"
}{
"code": "CMP-1000",
"error": "Insufficient permissions to manage company settings"
}{
"code": "CMP-800",
"error": "Integration not found"
}{
"code": "CMP-1100",
"error": "An unexpected error occurred"
}Authorizations
Path Parameters
Integration ID
Response
OK
Unique integration identifier
Integration name
Detailed description of the integration
Short one-line summary of the integration
Integration website or documentation URL
URL to the integration's icon image
Integration category (e.g. payroll, communication)
Instructions for setting up the integration
Previous
Set Up Company IntegrationThis endpoint serves the purpose of setting up a new company integration with a partner.
Next
⌘I
Get Company Integration
